## libclass-default-perl 1.51

=== debian/changelog ===
libclass-default-perl (1.51-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + libclass-default-perl: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 15 Oct 2022 17:45:34 +0100

libclass-default-perl (1.51-4) unstable; urgency=medium

  [ gregor herrmann ]
  * Remove Fabrizio Regalli from Uploaders. Thanks for your work!

  [ Alex Muntada ]
  * Remove inactive pkg-perl members from Uploaders.

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ Laurent Baillet ]
  * fix lintian file-contains-trailing-whitespace warning

  [ Debian Janitor ]
  * Set upstream metadata fields: Contact, Name.
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Add missing build dependency on libmodule-install-perl.

  [ gregor herrmann ]
  * debian/watch: use uscan version 4.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 10 Jun 2022 22:12:45 +0100

libclass-default-perl (1.51-3) unstable; urgency=low

  [ Nathan Handler ]
  * debian/watch: Update to ignore development releases.

  [ Fabrizio Regalli ]
  * Switch to DEP5 license format.
  * Add myself to Uploaders.
  * Bump to 3.0 quilt format.
  * Email change: gregor herrmann -> gregoa@debian.org
  * Added 01-fix-manpage.diff patch
  * Update debian/rules.
    Closes: #834344

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ Salvatore Bonaccorso ]
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ gregor herrmann ]
  * Mark package as autopkgtest-able.
  * Declare compliance with Debian Policy 3.9.8.
  * Bump debhelper compatibility level to 9.
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Thu, 18 Aug 2016 20:26:44 +0200

libclass-default-perl (1.51-2) unstable; urgency=low

  [ Joachim Breitner ]
  * Removed myself from uploaders.

  [ gregor herrmann ]
  * debian/rules:
    - delete /usr/lib/perl5 only if it exists (closes: #467692)
    - move dh_clean before make distclean
    - remove some whitespace
    - don't install README any more (text version of the POD documentation)
  * debian/watch: use dist-based URL.
  * Set Standards-Version to 3.7.3 (no changes).

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Fri, 07 Mar 2008 16:03:53 +0100

libclass-default-perl (1.51-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser
    field (source stanza); Homepage field (source stanza). Removed: XS-
    Vcs-Svn fields.
  * debian/copyright: Add upstream URL, update author's email address and
    years of copyright.
  * debian/rules:
    - Remove CFLAGS and OPTIMIZE, we don't compile anything.
    - Remove comments and empty lines.
    - Remove unused and useless dh_* calls (dh_link, dh_strip).
    - Enable additional tests.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Sat, 17 Nov 2007 14:47:38 +0100

libclass-default-perl (1.50-2) unstable; urgency=low

  [ Frank Lichtenheld ]
  * Fix typo in Description

  [ Joey Hess ]
  * Add self to uploaders.
  * Don't ignore make clean error.

 -- Joey Hess <joeyh@debian.org>  Sat, 11 Aug 2007 21:49:42 -0400

libclass-default-perl (1.50-1) unstable; urgency=low

  * New upstream release.
  * Add libtest-pod-perl to build dependencies.
  * Set Standards-Version to 3.7.2 (no changes).
  * Set debhelper compatibility level to 5 (no changes).

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Sat,  9 Sep 2006 20:15:34 +0200

libclass-default-perl (1.4-1) unstable; urgency=low

  * New upstream release
  * debian/control:
   - Standards-Version updated to 3.6.2 without changes
   - Added me to Uploaders
  * debian/watch: pointed to mirrors.kernel.org

 -- Krzysztof Krzyzaniak (eloy) <eloy@debian.org>  Wed,  1 Mar 2006 16:53:46 +0100

libclass-default-perl (1.3-2) unstable; urgency=low

  * Fixed debian/watch to point at the right site

 -- Gunnar Wolf <gwolf@debian.org>  Sat, 26 Mar 2005 12:20:24 -0600

libclass-default-perl (1.3-1) unstable; urgency=low

  * New upstream release

 -- Gunnar Wolf <gwolf@debian.org>  Wed, 23 Mar 2005 21:10:03 -0600

libclass-default-perl (1.2-1) unstable; urgency=low

  * New upstream version
  * Remove libclass-inspector-perl from the Build-deps, it is no
    longer needed.
  * Trimmed the description somewhat. Example removed.
  * Cleaned up the copyright file a bit.

 -- Allard Hoeve <allard@byte.nl>  Mon, 10 Jan 2005 20:39:03 +0100

libclass-default-perl (1.0-1) unstable; urgency=low

  * Initial Release.

 -- Allard Hoeve <allard@byte.nl>  Thu, 17 Jun 2004 15:26:39 +0200
