=== debian/control ===
Source: libclass-default-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Allard Hoeve <allard@byte.nl>,
           gregor herrmann <gregoa@debian.org>
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper-compat (= 13), libmodule-install-perl
Build-Depends-Indep: perl
Standards-Version: 3.9.8
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libclass-default-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libclass-default-perl.git
Homepage: https://metacpan.org/release/Class-Default

Package: libclass-default-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends}
Multi-Arch: foreign
Description: Perl module to make static calls apply to a default instantiation
 Class::Default provides a mechanism to allow your class to take static method
 calls and apply it to a default instantiation of an object. It provides a
 flexibility to an API that allows it to be used more comfortably in
 different situations.
 .
 This technique appears to be especially useful when writing modules that you
 want to be used in either a single use or a persistent environment. In a CGI
 like environment, you want the simplicity of a static interface. You can
 call Class->method directly, without having to pass an instantiation
 around constantly.
