=== debian/watch ===
version=4
https://metacpan.org/release/Class-Default   .*/Class-Default-v?@ANY_VERSION@@ARCHIVE_EXT@$
